{ config, ... }: {
  programs.kitty = {
    enable = true;
    settings = {
      foreground = "#${config.colorScheme.palette.base07}";
      background = "#${config.colorScheme.palette.base00}";
      selection_foreground = "#${config.colorScheme.palette.base07}";
      selection_background = "#${config.colorScheme.palette.base03}";
      background_opacity = "0.9";

      cursor = "#${config.colorScheme.palette.base05}";
      cursor_text_color = "#${config.colorScheme.palette.base01}";

      url_color = "#${config.colorScheme.palette.base05}";

      active_border_color = "#${config.colorScheme.palette.base05}";
      inactive_border_color = "#${config.colorScheme.palette.base03}";
      bell_border_color = "#${config.colorScheme.palette.base09}";

      wayland_titlebar_color = "system";
      macos_titlebar_color = "system";

      active_tab_foreground = "#${config.colorScheme.palette.base0C}";
      active_tab_background = "#${config.colorScheme.palette.base01}";
      inactive_tab_foreground = "#${config.colorScheme.palette.base06}";
      inactive_tab_background = "#${config.colorScheme.palette.base00}";
      tab_bar_background = "#${config.colorScheme.palette.base02}";

      mark1_foreground = "#${config.colorScheme.palette.base00}";
      mark1_background = "#${config.colorScheme.palette.base0C}";
      mark2_foreground = "#${config.colorScheme.palette.base00}";
      mark2_background = "#${config.colorScheme.palette.base0E}";
      mark3_foreground = "#${config.colorScheme.palette.base00}";
      mark3_background = "#${config.colorScheme.palette.base0A}";

      color0 = "#${config.colorScheme.palette.base01}";
      color1 = "#${config.colorScheme.palette.base0F}";
      color2 = "#${config.colorScheme.palette.base0A}";
      color3 = "#${config.colorScheme.palette.base09}";
      color4 = "#${config.colorScheme.palette.base0C}";
      color5 = "#${config.colorScheme.palette.base0D}";
      color6 = "#${config.colorScheme.palette.base0B}";
      color7 = "#${config.colorScheme.palette.base07}";
      color8 = "#${config.colorScheme.palette.base01}";
      color9 = "#${config.colorScheme.palette.base0F}";
      color10 = "#${config.colorScheme.palette.base0A}";
      color11 = "#${config.colorScheme.palette.base09}";
      color12 = "#${config.colorScheme.palette.base0C}";
      color13 = "#${config.colorScheme.palette.base0D}";
      color14 = "#${config.colorScheme.palette.base0B}";
      color15 = "#${config.colorScheme.palette.base07}";

      font_size = 12;
      window-padding-width = 15;
      # ...
    };
  };
}
